#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform

INCLUDE = /home/cms/fusr/libsubformHTML

CC	= gcc

# for Debug
#CFLAGS	= -ggdb -I../../curlib01

CFLAGS	= -O2 -g

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

yubin : yubin.pgc
	ecpg yubin.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin.c
	gcc -O2 -static -o yubin.cgi yubin.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Fetch : yubin_Fetch.pgc
	ecpg yubin_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Fetch.c
	gcc -O2 -static -o yubin_Fetch.cgi yubin_Fetch.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Fetch_sample : yubin_Fetch_sample.pgc
	ecpg yubin_Fetch_sample.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Fetch_sample.c
	gcc -O2 -static -o yubin_Fetch_sample.cgi yubin_Fetch_sample.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Insert : yubin_Insert.pgc
	ecpg yubin_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Insert.c
	gcc -O2 -static -o yubin_Insert.cgi yubin_Insert.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Update : yubin_Update.pgc
	ecpg yubin_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Update.c
	gcc -O2 -static -o yubin_Update.cgi yubin_Update.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Delete : yubin_Delete.pgc
	ecpg yubin_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Delete.c
	gcc -O2 -static -o yubin_Delete.cgi yubin_Delete.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_all : yubin_all.pgc
	ecpg yubin_all.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_all.c
	gcc -O2 -static -o yubin_all.cgi yubin_all.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

